Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
ai_optimization
/
gemini
/
llm_responses
/
live
Live Gemini LLM Responses
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/gemini/llm_responses/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_prompt": "<string>",
  "model_name": "<string>",
  "max_output_tokens": 123,
  "temperature": 123,
  "top_p": 123,
  "web_search": true,
  "system_message": "<string>",
  "message_chain": [
    "<string>"
  ],
  "use_reasoning": true,
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.model_name": "<string>",
  "tasks.result.input_tokens": 123,
  "tasks.result.output_tokens": 123,
  "tasks.result.reasoning_tokens": 123,
  "tasks.result.web_search": true,
  "tasks.result.money_spent": 123,
  "tasks.result.datetime": "<string>",
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.reasoning": {},
  "tasks.result.items.reasoning.type": "<string>",
  "tasks.result.items.reasoning.sections": [
    "<string>"
  ],
  "tasks.result.items.reasoning.sections.type": "<string>",
  "tasks.result.items.reasoning.sections.text": "<string>",
  "tasks.result.items.message": {},
  "tasks.result.items.message.type": "<string>",
  "tasks.result.items.message.sections": [
    "<string>"
  ],
  "tasks.result.items.message.sections.type": "<string>",
  "tasks.result.items.message.sections.text": "<string>",
  "tasks.result.items.message.sections.annotations": [
    "<string>"
  ],
  "tasks.result.items.message.sections.annotations.title": "<string>",
  "tasks.result.items.message.sections.annotations.url": "<string>",
  "tasks.result.fan_out_queries": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
user_prompt
string
required

prompt for the AI model required field the question or task you want to send to the AI model; you can specify up to 500 characters in the user_prompt field

model_name
string
required

name of the AI model required field model_nameconsists of the actual model name and version name; if the basic model name is specified, its latest version will be set by default; for example, if gemini-1.5-pro is specified, the gemini-1.5-pro-002 will be set as model_name automatically; you can receive the list of available LLM models by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/gemini/llm_responses/models

max_output_tokens
integer

maximum number of tokens in the AI response optional field minimum value: 1 maximum value: 4096; default value: 2048; Note: if web_search is set to true or the reasoning model is specified in the request, the output token count may exceed the specified max_output_tokens limit Note #2: if use_reasoning is set to true, the minimum value for max_output_tokens is 1024

temperature
number

randomness of the AI response optional field higher values make output more diverse lower values make output more focused minimum value: 0 maximum value: 2 default value: 1.3

top_p
number

diversity of the AI response optional field controls diversity of the response by limiting token selection minimum value: 0 maximum value: 1 default value: 0.9

enable web search for current information optional field when enabled, the AI model can access and cite current web information; Note: refer to the Models endpoint for a list of models that support web_search; default value: false; The cost of the parameter can be calculated on the Pricing page

system_message
string

instructions for the AI behavior optional field defines the AI's role, tone, or specific behavior you can specify up to 500 characters in the system_message field

message_chain
string[]

conversation history optional field array of message objects representing previous conversation turns; each object must contain role and message parameters: role string with either user or ai role; message string with message content (max 500 characters); you can specify the maximum of 10 message objects in the array; example: "message_chain": [{"role":"user","message":"Hello, what’s up?"},{"role":"ai","message":"Hello! I’m doing well, thank you. How can I assist you today?"}]

use_reasoning
boolean

enable reasoning for the AI model optional field when enabled, the model will perform reasoning before generating a response refer to the Models endpoint for a list of models that support reasoning default value: false Note: if set to true, the minimum value for max_output_tokens is 1024 Note #2: for Gemini Pro models, the use_reasoning will automatically be set to true

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD includes the base task price plus the money_spent value

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.model_name
string

name of the AI model used

tasks.result.input_tokens
integer

number of tokens in the input total count of tokens processed

tasks.result.output_tokens
integer

number of tokens in the output total count of tokens generated in the AI response

tasks.result.reasoning_tokens
integer

number of reasoning tokens total count of tokens used to generate reasoning content

indicates if web search was used

tasks.result.money_spent
number

cost of AI tokens, USD the price charged by the third-party AI model provider for according to its Pricing

tasks.result.datetime
string

date and time when the result was received in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

tasks.result.items
string[]

array of response items contains structured AI response data

tasks.result.items.reasoning
object

element in the response

tasks.result.items.reasoning.type
string

type of the element = 'reasoning' Note: this element is supported only in reasoning models and is not guaranteed to be returned

tasks.result.items.reasoning.sections
string[]

reasoning chain sections array of objects containing the reasoning chain sections generated by the LLM

tasks.result.items.reasoning.sections.type
string

type of element='summary_text'

tasks.result.items.reasoning.sections.text
string

text of the reasoning chain section text of the reasoning chain section summarizing the model's thought process

tasks.result.items.message
object

element in the response

tasks.result.items.message.type
string

type of the element = 'message'

tasks.result.items.message.sections
string[]

array of content sections contains different parts of the AI response

tasks.result.items.message.sections.type
string

type of element='text'

tasks.result.items.message.sections.text
string

AI-generated text content

tasks.result.items.message.sections.annotations
string[]

array of references used to generate the response equals null if the web_search parameter is not set to true Note: annotations may return empty even when web_search is true, as the AI will attempt to retrieve web information but may not find relevant results

tasks.result.items.message.sections.annotations.title
string

the domain name or title of the quoted source

tasks.result.items.message.sections.annotations.url
string

redirect URL to the quoted source contains a Vertex AI redirect that leads to the original source

tasks.result.fan_out_queries
string[]

array of fan-out queries contains related search queries derived from the main query to provide a more comprehensive response